ISVNReplayHandler (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.io.ISVNReplayHandler interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.io
Interface ISVNReplayHandler

All Known Implementing Classes:
  SVNReplayHandler

public interface ISVNReplayHandler

The ISVNReplayHandler is used in `SVNRepository.replayRange(long, long, long, boolean, ISVNReplayHandler)` to provide and editor for replaying a revision.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Method Summary
`void` | `handleEndRevision(long revision, SVNProperties revisionProperties, ISVNEditor editor)` Handles the end of replaying a next revision.
`ISVNEditor` | `handleStartRevision(long revision, SVNProperties revisionProperties)` Handles the start of replaying a next revision and returns an editor through which the revision will be replayed.

Method Detail

### handleStartRevision

    public ISVNEditor handleStartRevision(long revision,
                                          SVNProperties revisionProperties)
                                   throws SVNException

  Handles the start of replaying a next revision and returns an editor through which the revision will be replayed.

  Parameters:
    `revision` - target revision number of the received replay report
    `revisionProperties` - contains key/value pairs for each revision properties for this `revision`
  Returns:
    editor for replicating `revision`
  Throws:
    `SVNException`

### handleEndRevision

    public void handleEndRevision(long revision,
                                  SVNProperties revisionProperties,
                                  ISVNEditor editor)
                           throws SVNException

  Handles the end of replaying a next revision. In this method the implementor should close the `editor`.

  Parameters:
    `revision` - target revision number of the received replay report
    `revisionProperties` - contains key/value pairs for each revision properties for this `revision`
    `editor` - replication editor
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.